%define _use_internal_dependency_generator 0

Name: perl-io-socket-inet6
Version: 2.51
Release: 1.arnes.1
Summary: IO::Socket::INET6 Perl module
License: distributable
Group: Development/Libraries
URL: http://search.cpan.org/search?mode=module&query=IO%3a%3aSocket%3a%3aINET6
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl >= 0:5.00503
Source0: IO-Socket-INET6-%{version}.tar.gz

%description
Object interface for AF_INET|AF_INET6 domain sockets 

%prep
%setup -q -n IO-Socket-INET6-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
#make test


%clean
rm -rf $RPM_BUILD_ROOT
%install

rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
	grep -v "\.packlist" > IO-Socket-INET6-%{version}-filelist
if [ "$(cat IO-Socket-INET6-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f IO-Socket-INET6-%{version}-filelist
%defattr(-,root,root)

%changelog
* Thu Jun 2 2005 Rok Papez <rok.papez@arnes.si>
- Initial release
